Login

Learning & Support

Documentation

macOS Catalina: Do not install macOS Catalina.

Twixl Support Team Updated: - Created :

About macOS Catalina:
Do not install macOS Catalina (15.0) yet! Read more about it here.

Was this article helpful?

0 out of 0 found this helpful